{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('external_user/user_registration/edit') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('external_user/user_registration/edit') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        {% if userRegistration.getUserRegistrationType().name == 'PROVIDER' %}
            {% set userRegistrationOverviewUrlParameters = {'userRegistrationTypeName': 'anbietende'} %}
        {% elseif userRegistration.getUserRegistrationType().name == 'SEEKER' %}
            {% set userRegistrationOverviewUrlParameters = {'userRegistrationTypeName': 'suchende'} %}
        {% endif %}

        {% set userRegistrationOverviewUrlParameters = userRegistrationOverviewUrlParameters|merge(fetch_merged_url_parameters_by_session_key_name('userRegistrationOverview')) %}

        <a href="{{ path('external_user_user_registration_overview', userRegistrationOverviewUrlParameters) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Registrierung bearbeiten</span>

        {% if is_granted('edit', userRegistration) == true %}
            {{ form_widget(userRegistrationForm.save, {'label': 'SPEICHERN', 'id': userRegistrationForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}

            {% set contextMenuListItems = [] %}

            {% set contextMenuListItems = contextMenuListItems|merge([{
                'label': 'Account freischalten',
                'url': path('external_user_user_registration_activate', {userRegistrationTypeName: userRegistration.userRegistrationType.getName|lower, userRegistrationId: userRegistration.getId()}),
                'icon': 'how_to_reg'
            }]) %}

            {% if is_granted('delete', userRegistration) == true %}
                {% set contextMenuListItems = contextMenuListItems|merge([{
                    'label': 'Registrierung ablehnen',
                    'url': path('external_user_user_registration_delete', {userRegistrationTypeName: userRegistration.userRegistrationType.getName|lower, userRegistrationId: userRegistration.getId()}),
                    'icon': 'person_off'
                }]) %}
            {% endif %}

            {% include 'component/mdc_context_menu_component.html.twig' with {
                'id': 'user_registration',
                'listItems': contextMenuListItems
            } only %}
        {% endif %}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        {% if is_granted('edit', userRegistration) == true %}
            {% if userRegistration.isEmailConfirmed() == true and userRegistration.getUserRegistrationStatus().name == 'NOT_UNLOCKED' or userRegistration.getUserRegistrationStatus().name == 'NOT_ACTIVE' %}
                <div class="mdc-card mb-4">
                    <div class="p-4">
                        <p>
                            Der {{ userRegistration.getUserRegistrationType().getName() }} hat sich am {{ userRegistration.getCreatedAt().format('d.m.Y h:i') }} Uhr registriert.
                            Der Account muss von Ihnen noch freigeschaltet werden, damit der {{ userRegistration.getUserRegistrationType.getName() }} sich einloggen
                            und {% if userRegistration.getUserRegistrationType().name == 'PROVIDER' %}Angebote einstellen{% else %}Gesuche eingeben{% endif%} kann.
                            Sie können den Account auch ablehnen. In beiden Fällen erhält der {{ userRegistration.getUserRegistrationType().getName() }} eine entsprechende Status-E-Mail.
                        </p>
                        <div>
                            <a class="mdc-button mdc-button--raised mdc-button--leading me-3" href="{{ path('external_user_user_registration_activate', {'userRegistrationId': userRegistration.getId()}) }}">
                                <span class="mdc-button__ripple"></span>
                                <span class="mdc-button__label">Account freischalten</span>
                            </a>
                            {% if is_granted('delete', userRegistration) == true %}
                                <a style="background-color: #ED973D;" class="mdc-button mdc-button--raised mdc-button--leading" href="{{ path('external_user_user_registration_delete', {'userRegistrationId': userRegistration.getId()}) }}">
                                    <span class="mdc-button__ripple"></span>
                                    <span class="mdc-button__label">Registrierung ablehnen</span>
                                </a>
                            {% endif %}
                        </div>
                    </div>
                </div>
            {% endif %}
        {% endif %}
        <div class="mdc-card mb-4">
            <div class="p-4">
                {{ form_start(userRegistrationForm, {'attr': {'id': userRegistrationForm.vars.id ~ '_form'}}) }}
                {{ form_errors(userRegistrationForm) }}
                {% if (userRegistration.getPersonType().name == 'COMPANY') %}
                    {% include 'external_user/form/user_registration/company_user_registration_form.html.twig' with {'form': userRegistrationForm} only %}
                {% elseif (userRegistration.getPersonType().name == 'NATURAL_PERSON') %}
                    {% include 'external_user/form/user_registration/natural_person_user_registration_form.html.twig' with {'form': userRegistrationForm} only %}
                {% endif %}
                {{ form_row(userRegistrationForm._token) }}
                {{ form_end(userRegistrationForm, {'render_rest': false}) }}
            </div>
        </div>
    </div>
{% endblock %}
